This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 529400 - default network no longer forwards
default network no longer forwards
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-16 12:18 EDT by Bill Nottingham
Modified: 2014-03-16 23:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-16 12:43:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-10-16 12:18:30 EDT
Description of problem:

[root@nostromo notting]# virsh net-dumpxml default
<network>
  <name>default</name>
  <uuid>6dd48a44-c988-42a9-9fb0-f1911dd9f83f</uuid>
  <forward mode='nat'/>
  <bridge name='virbr0' stp='on' forwardDelay='0' />
  <ip address='192.168.122.1' netmask='255.255.255.0'>
    <dhcp>
      <range start='192.168.122.2' end='192.168.122.254' />
    </dhcp>
  </ip>
</network>

However, on libvirt start (and restart, and restart of the network), forwarding is not enabled. Guests cannot get out.

Version-Release number of selected component (if applicable):

libvirt-0.7.1-11.fc12.x86_64

How reproducible:

100%

Steps to Reproduce:
1. start virt-manager
2. start guest
  
Actual results:

I have no outside ports and I must scream.

Expected results:

networking
Comment 1 Bill Nottingham 2009-10-16 12:43:19 EDT
Restart of everything (inc. libvirtd) fixed it.

Note You need to log in before you can comment on or make changes to this bug.